import json
import time

from datetime import datetime
from fischertechnik.mqtt.Client import Client as MqttClient
from fischertechnik.mqtt.Constants import CONTROLLER_ID
from lib.controller import *


ts = None


def datetimestamp():
    global ts
    ts = datetime.now().strftime("%Y-%m-%dT%H:%M:%S.%f")[:-3] + "Z"
    return ts


MqttClient.getInstance().connect()
while True:
    if (MqttClient.getInstance().is_connected()):
        break
    time.sleep(0.010)
while True:
    MqttClient.getInstance().publish("/j1/txt/" + str(CONTROLLER_ID) +"/i/bme680", '{{"ts":"{}","t":{},"h":{},"p":{}}}'.format(datetimestamp(), TXT_M_I2C_1_environment_sensor.get_temperature(), TXT_M_I2C_1_environment_sensor.get_humidity(), TXT_M_I2C_1_environment_sensor.get_pressure()))
    time.sleep(1)


